# IceGrid::AdapterObserver

## Overview

### interface AdapterObserver

This interface allows applications to monitor the state of object adapters that are registered with IceGrid.

## Operation Index

adapterInit
  `adapterInit` is called after registration of an observer to indicate the state of the registry.
adapterAdded
  The `adapterAdded` operation is called to notify an observer when a dynamically-registered adapter was added.
adapterUpdated
  The adapterUpdated operation is called to notify an observer when a dynamically-registered adapter was updated.
adapterRemoved
  The adapterRemoved operation is called to notify an observer when a dynamically-registered adapter was removed.

## Operations

### void adapterInit(AdapterInfoSeq adpts)

`adapterInit` is called after registration of an observer to indicate the state of the registry.

#### Parameters

adpts
  The adapters that were dynamically registered with the registry (not through the deployment mechanism).

### void adapterAdded(AdapterInfo info)

The `adapterAdded` operation is called to notify an observer when a dynamically-registered adapter was added.

#### Parameters

info
  The details of the new adapter.

### void adapterUpdated(AdapterInfo info)

The adapterUpdated operation is called to notify an observer when a dynamically-registered adapter was updated.

#### Parameters

info
  The details of the updated adapter.

### void adapterRemoved(string id)

The adapterRemoved operation is called to notify an observer when a dynamically-registered adapter was removed.

#### Parameters

id
  The ID of the removed adapter.